%define name	grcm
%define version	0.1.5
%define release 2mdk

Name: 	 %{name}
Summary: GUI for remote connections (ssh, telnet, rdesktop, ftp)
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://grcm.sourceforge.net/index.html
License:	GPL
Group:		Networking/Remote access
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libgnomeui2-devel gettext

%description
grcm (GNOME Remote Connection Manager) is a highly configurable remote
connection manager that allows you to store remote connections like telnet,
ssh, and rdesktop in a simple-to-use GUI application.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# cleanup
rm -fr $RPM_BUILD_ROOT/var
rm -fr $RPM_BUILD_ROOT/%{_datadir}/pixmaps/Make*

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="GNOME RCM" longtitle="GUI for remote connections" section="Networking/Remote access"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
scrollkeeper-update -p /var/lib/scrollkeeper -o /usr/share/omf/grcm
		
%postun
%clean_menus
scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS
%{_bindir}/%name
%{_datadir}/gnome/apps/Internet/grcm.desktop
%{_datadir}/gnome/help/grcm
%{_datadir}/pixmaps/grcm
%{_datadir}/omf/grcm
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.1.5-2mdk
- DIRM

* Sun Feb 23 2003 Austin Acton <aacton@yorku.ca> 0.1.5-1mdk
- initial package
